require 'backports/2.0.0/stdlib/ostruct'
require 'backdrop/configuration'
require 'backdrop/api_builder'
require 'backdrop/app'

module Backdrop
  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.reset
    @configuration = Configuration.new
  end

  def self.configure
    yield(configuration) if block_given?
  end

  def self.load(input, url = nil)
    APIBuilder.new(url).build input
  end

  def self.clear
    Backdrop::App.reset!
  end
end
